Subject: bug#3863: 23.1.50; possible save-match-data in copyright.el

From: Lennart Borgman <[email-masked]>
Date: Thu, 16 Jul 2009 20:42:42 +0200

On Thu, Jul 16, 2009 at 7:24 PM, Stefan Monnier<[email-masked]> wrote:
>> If so, we should change y-or-n-p to save the match data.
>
> Why?  y-or-n-p will yield waiting for user input, so it's basically
> a point where any other code can run.  It's one of the prime examples of
> a function which you can't expect to preserve the match-data.

I don't think I understand, but it sounds like this is a reason why
y-or-n-p should save match-data...

Is there any reason not to let y-or-n-p save match data? I mean the
function needing match data possibly want yield until it has used it,
or?